<?php declare(strict_types=1);
/*
 * Copyright (C) 2015-2017 IRSTEA
 * All rights reserved.
 */

namespace Irstea\FileUploadBundle\Event;

use Irstea\FileUploadBundle\Model\UploadedFileInterface;
use Symfony\Component\EventDispatcher\Event;

/**
 * Description of FileUploadCompleteEvent.
 */
class FileUploadCompleteEvent extends Event
{
    /**
     * @var UploadedFileInterface
     */
    private $uploadedFile;

    /**
     * @param UploadedFileInterface $uploadedFile
     */
    public function __construct(UploadedFileInterface $uploadedFile)
    {
        $this->uploadedFile = $uploadedFile;
    }

    /**
     * @return UploadedFileInterface $uploadedFile
     */
    public function getUploadedFile()
    {
        return $this->uploadedFile;
    }
}
